Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.OperatingPackage
Class Precursor

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.OperatingPackage.Precursor

All Implemented Interfaces:
  java.io.Serializable

    public class Precursor

extends java.lang.Object
implements java.io.Serializable

Author:
  Sylvia Tippmann Jan Krueger A Precursor object containing id, description, the sequence itself, a similarity value and the secundary structure. TODO: At the moment we believe that all data in the correct format. In future we have to check this!
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`Precursor(java.lang.String id, java.lang.String description, java.lang.String sequence)` Constructor : constructs a new Precursor with id, description, sequence
`Precursor(java.lang.String id, java.lang.String description, java.lang.String sequence, java.lang.String folding)` Constructor : constructs a Precursor Object with id, description, sequence and folding.

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getFolding()`
`java.lang.String` | `getId()`
`java.lang.String` | `getSequence()`
`int` | `getSimilarityTo()`
`void` | `setDescription(java.lang.String description)`
`void` | `setFolding(java.lang.String folding)`
`void` | `setId(java.lang.String id)`
`void` | `setSequence(java.lang.String sequence)`
`void` | `setSimilarityTo(int similarityTo)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Precursor

    public Precursor(java.lang.String id,
                     java.lang.String description,
                     java.lang.String sequence,
                     java.lang.String folding)

  Constructor : constructs a Precursor Object with id, description, sequence and folding.

  Parameters:
    `id` - - id of current Precursor
    `description` - - description of current Precursor
    `sequence` - - sequenceinformation of current Precursor
    `folding` - - secundary structure (dot bracket) of current Precursor

### Precursor

    public Precursor(java.lang.String id,
                     java.lang.String description,
                     java.lang.String sequence)

  Constructor : constructs a new Precursor with id, description, sequence

  Parameters:
    `id` -
    `description` -
    `sequence` -

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - The description to set.

### getSequence

    public java.lang.String getSequence()

  Returns:
    Returns the sequence.

### setSequence

    public void setSequence(java.lang.String sequence)

  Parameters:
    `sequence` - The sequence to set.

### getId

    public java.lang.String getId()

  Returns:
    Returns the id.

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` - The id to set.

### getFolding

    public java.lang.String getFolding()

  Returns:
    Returns the folding.

### setFolding

    public void setFolding(java.lang.String folding)

  Parameters:
    `folding` - The folding to set.

### getSimilarityTo

    public int getSimilarityTo()

  Returns:
    Returns the similarityTo.

### setSimilarityTo

    public void setSimilarityTo(int similarityTo)

  Parameters:
    `similarityTo` - The similarityTo to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD